unit l154pas;
{$F+}

{

  Данный TPU файл указывается в основном тексте Вашей программы, написанной
           на языке Паскаль, при объявлении внешних модулей
                   ( USES crt, ..., L154pas; ).

}

		 INTERFACE

{ Функции общего назначения 						}
procedure SETBASEADDRESS(address : WORD);
function  PLATA_TEST : WORD;

{ Функции по работе с аналого-цифровыми каналами 			}
procedure SETCHANNEL(Nch : WORD);
function  SAMPLE : INTEGER;
function  ADCHAN(Channel : WORD) : INTEGER;
procedure KADR(Data, RealChannel : pointer; Nch : WORD);
procedure STREAM(Data : pointer; NPoint, Channel, Rate : WORD);
procedure SOFT(Data : pointer; NKadr : WORD; RealChannel : pointer; Nch, Rate : WORD);

{ Функции по работе с цифро-аналоговыми каналами 			}
procedure OUTDA(code : WORD);
procedure OUTDAARRAY(Date : pointer; rate, NPoint : WORD);

{ Функции по работе с цифровыми (дискретными) ТТЛШ линиями 		}
function  INPBYTE : WORD;
procedure OUTBYTE(code : WORD);

{ Функции по работе с прерываниями 					}
procedure INITINTR(rate1, rate2 : WORD; name : pointer);
procedure STOP_INTR;
procedure INTR_SETUP(number : WORD);
procedure RESET_IRQ;

{ Функции для работы с таймерами					}
procedure TIMER(Timer, Mode, Rate : WORD);
procedure WAIT_TIMER(Timer : WORD);
function  GET_TIMER : WORD;

		 IMPLEMENTATION

{$L l154drv.obj}

procedure SETBASEADDRESS;    	external;
function  PLATA_TEST;           external;

procedure SETCHANNEL;           external;
function  SAMPLE;               external;
function  ADCHAN;               external;
procedure KADR;                 external;
procedure STREAM;               external;
procedure SOFT;                 external;

procedure OUTDA;                external;
procedure OUTDAARRAY;           external;

function  INPBYTE;              external;
procedure OUTBYTE;              external;

procedure INITINTR;             external;
procedure STOP_INTR;            external;
procedure INTR_SETUP;           external;
procedure RESET_IRQ;            external;

procedure TIMER;                external;
procedure WAIT_TIMER;           external;
function  GET_TIMER;            external;

begin
end.
